# Generated by Django 4.2.7 on 2024-01-07 18:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom_client', models.CharField(max_length=100)),
                ('prenom_client', models.CharField(max_length=100)),
                ('username', models.CharField(default='none', max_length=100)),
                ('mdp', models.CharField(max_length=100)),
                ('date', models.DateField(auto_now=True)),
                ('iban', models.CharField(max_length=100, unique=True)),
                ('livret_A', models.CharField(max_length=100, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Compte',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type_compte', models.CharField(max_length=100)),
                ('numero', models.CharField(max_length=100)),
                ('solde', models.IntegerField()),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='banque.client')),
            ],
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(max_length=100)),
                ('montant', models.IntegerField()),
                ('date_transaction', models.DateTimeField(auto_now_add=True)),
                ('compte', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='banque.compte')),
            ],
        ),
    ]
